
      include'common-initi.f'
      include'common-mml-lattice.f'
      include'common-2Dsc-beam.f'
      include'common-2Dsc-simulation.f'
      


      XS      = 0d0
      nsimreg = 0
      call INITIPARAMETER(XS,nsimreg)



      do n = 1, nturn
      do ns =1,nsuper
      do np1 = 1, ndiva
        write(*,*) '-------------------->  ', np1, NPAR
        call EVOLSTEP1(nspc1,NL1,ndisp1,nchr1,ncav1,npipe1)
        call rmsoutput(EX,EY,ES,X,Y,S)
        write(1,*) acttime/trevol,X,Y,S,EX,EY,ES
      enddo
      enddo
      enddo



      end
